> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threatbook.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Hash

> This API provides identified malicious file hashes.



## OpenAPI

````yaml api-reference/feeds/hash.openapi.json GET /v2/feeds/stix/hash
openapi: 3.1.0
info:
  title: Hash
  description: This API provides identified malicious file hashes.
  version: 1.0.0
servers:
  - url: https://api.threatbook.io
security: []
paths:
  /v2/feeds/stix/hash:
    get:
      tags: []
      summary: Hash
      description: This API provides identified malicious file hashes.
      parameters:
        - name: time
          in: query
          description: |-
            Precise time in UTC, format: YYYYMMDD. 
            For example, 20210122 returns data from 2021-01-22 (UTC).
            Default: returns the most recent data (t-1 day).
            Feed packages can be retrieved for up to 90 days in the past.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example: "PK\x03\x04\x14\0\b\0\b\0+y7\\\0\0\0\0\0\0\0\0�\x02\0\0\x16\0 \0hash_20260109test.jsonUT\n\0\a�\x1Esi�\x1Esi�\x1Esiux\v\0\x01\x04�\x01\0\0\x04\x14\0\0\0\x8DRM\x8B�0\x14硷�0句R\x05\n}�2粜\x16J/=u椤K0O\x96D�M�`kC貌…讲6薄lK/\x0F��\x99�\x93\x9F铼�N\x97\x93��6O\x83=跟蒈\vv� \x84\x19g�J\x87\x94�\fq�\x1420\x04Z{�\x1Dm<鹱归潸铎�)�aV\_[�\nD箬�4遛C™��R\x17�0匦C\x8Ac6�RJ*\x15\x12F\x1A$|.Z\x18�gJYF\x1A\x10�h\x96�[�E`\N\x068\x16�+\x1CB\x1F庥T\n    }\x0E�\x15�W\x97觯\x83db�y=v©\x01�)�<w?�G\x18™涂y|…�\x10\x87�\x89�\N�ti&\x1EoaV�\x12�\x9B/钞�ü\v\x1FA\x9F�9�K\n}\x05w\x8B�9sl缜x,+�T\"L\x10V�D�L�l1�?V�\x13や乞>\x0F>�菝�w�v箜�\aD\N�T铽\n'�\x88\x94�W\noü�TS&�r\nW�\x8D<\0�\x8A\x10\x86�\x15\x064!\x18�s霉�^R辟�\x86©�\tg…/�1卩�\x9Bl�b�\a�\x1F�`/诡�^~\x03PK\a\b\x8E�R.z\x01\0\0�\x02\0\0PK\x03\x04\x14\0\b\0\b\0+y7\\\0\0\0\0\0\0\0\0�\0\0\0!\0 \0__MACOSX/._hash_20260109test.jsonUT\n\0\a�\x1Esi�\x1Esi�\x1Esiux\v\0\x01\x04�\x01\0\0\x04\x14\0\0\0c`\x15cg`b`�MLV�\x0FV\x88Pü\x02\x90\x18\x03'\x10\e\x01q!\x10\x83�\x8B\x19\x88\x02\x8E!!AP&H�\f �FS�\x88\x10\x17M蜗�K,(�I�+(�/K�K�KN\x05)赝w�:t�^s\0PK\a\by�m\x1AT\0\0\0�\0\0\0PK\x01\x02\x14\x03\x14\0\b\0\b\0+y7\\\x8E�R.z\x01\0\0�\x02\0\0\x16\0 \0\0\0\0\0\0\0\0\0�\0\0\0\0hash_20260109test.jsonUT\n\0\a�\x1Esi�\x1Esi�\x1Esiux\v\0\x01\x04�\x01\0\0\x04\x14\0\0\0PK\x01\x02\x14\x03\x14\0\b\0\b\0+y7\\y�m\x1AT\0\0\0�\0\0\0!\0 \0\0\0\0\0\0\0\0\0��\x01\0\0__MACOSX/._hash_20260109test.jsonUT\n\0\a�\x1Esi�\x1Esi�\x1Esiux\v\0\x01\x04�\x01\0\0\x04\x14\0\0\0PK\x05\x06\0\0\0\0\x02\0\x02\0�\0\0\0�\x02\0\0\0\0"
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    enum:
                      - Required:{resource/apikey}
                      - Invalid parameter:{parameter}
                  response_code:
                    type: integer
                    const: 400
                required:
                  - msg
                  - response_code
              examples:
                Example 1:
                  summary: Example 1
                  value:
                    msg: Required:{resource/apikey}
                    response_code: 400
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    enum:
                      - Invalid account status
                      - 'Invalid access IP: {actual IP address}'
                      - Invalid API key
                      - Invalid key status
                      - No access to the API
                      - Expired API key
                      - No access to the requested resource
                      - 'No access to: {parameter}'
                  response_code:
                    type: integer
                    const: 401
                required:
                  - msg
                  - response_code
              examples:
                Example 1:
                  summary: Example 1
                  value:
                    msg: Invalid account status
                    response_code: 401
        '405':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    const: Invalid API method
                  response_code:
                    type: integer
                    const: 405
                required:
                  - msg
                  - response_code
              examples:
                Example 1:
                  summary: Example 1
                  value:
                    msg: Invalid API method
                    response_code: 405
        '429':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    enum:
                      - Request rate limitation
                      - Beyond {daily/monthly/total} quotas limitation
                  response_code:
                    type: integer
                    const: 429
                required:
                  - msg
                  - response_code
              examples:
                Example 1:
                  summary: Example 1
                  value:
                    msg: Request rate limitation
                    response_code: 429
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    enum:
                      - System error
                      - URL Download Fail
                  response_code:
                    type: integer
                    const: 500
                required:
                  - msg
                  - response_code
              examples:
                Example 1:
                  summary: Example 1
                  value:
                    msg: System error
                    response_code: 500
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.